Subject: [16NG] Comments to IEEE 802.16

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 15 Dec 2006 18:56:34 +0100

[not sure how to send this IEEE... so I post it here]

Dear IEEE, this is an IETF 16ng WG member here, not Chair, not document
author.

This is in relation to 802.16 standard (IEEE Std 802.16-2004 and
corrected by 802.16e-2005 and 802.16-2004/Cor 1-2005).

The 16ng Working Group has a document trying to make run IPv6 over IP CS
(see draft-ietf-16ng-ipv6-over-ipv6cs-02.txt).  There is a need to
understand the network entry procedure in order to assign IPv6 addresses
to the Subscriber Station (SS).

In the IP respect, I find the "Network Entry and Initialization"
procedure section 6.3.9 a large problem.  The reasons are: (1) the DHCP
procedure is described for IPv4 only; in IPv6 it's different, (2) use
Time protocol is a bit outdated (3) run TFTP after DHCP is meaningless
(4) there's a need to deal with IPv6's expectations on link-layer multicast.

(1) I suggest use rfc 3315 dhcpv6  to reflect the two-message or
     four-message exchanges (instead of the std 4message dhcpv
     exchanges).

(2) Use NTP protocol (rfc 1305) or SNTP (rfc 2030), instead of Time.

(3) TFTP is an old protocol, now most data is distributed by DHCP.
     BEsides not sure that TFTP can run over IPv6.  TFTP _and_ DHCP is
     completely redundant.  If files need to be transferred securely,
     use SSH protocols (RFC 4253 et alia).

(4) For IPv6 link-layer expectations I'll post to the 16ng mailing list.
     But expect changes needed in the Reg-Req and Reg-Rsp messages.

Alex
PS: here's the decription of the network-entry procedure as I understand
it from the IEEE specs:

BS               SS
-------------------
     DL-MAP ->
   UCD and DCD ->
     DL-MAP ->
     UL-MAP ->
   <- RNG-REQ
      RNG-RSP->
   <- SBC-REQ
     SBC-RSP ->
   <- Auth Info
   <- Auth Req
      Auth Rep ->
   <- Key Req
      Key Rep ->
   <- Reg Req
      Reg Rsp ->
  <- DHC DISCOVERY
     DHC OFFER ->
  <- DHC REQUEST
     DHC RESPONSE ->
  <- Time Req
     Time Resp ->
  <-TFTP config file
    TFT CPLT ->
  <- TFT RSP
    DSA REQ ->
   <- DSA RESP

End of it.

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng